libgnomekbd (3.26.0-3) unstable; urgency=medium

  * debian/libgnomekbgd8.symbols: Update for latest glib (Closes: #887775)
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 24 Feb 2018 14:27:28 -0500

libgnomekbd (3.26.0-2) unstable; urgency=medium

  * debian/libgnomekbd8.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 19:27:58 -0400

libgnomekbd (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 15:11:57 -0400

libgnomekbd (3.22.0.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update debian/rules for soname bump too
  * debian/control.in: Drop unnecessary gir build-dependencies

  [ James Leddy ]
  * debian/patches/02-Remove-redundent-key-label-information.patch:
    - Fix extra unnecessary key info in the keyboard layout widget

  [ Michael Biebl ]
  * New upstream release.
  * Drop Build-Depends on gnome-common and intltool and add gettext and
    pkg-config instead. (Closes: #829895)
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Convert to multiarch. (Closes: #813011)
  * Update debian/copyright and use machine-readable copyright format 1.0
  * Bump Standards-Version to 3.9.8.
  * Run "wrap-and-sort -a".
  * Drop obsolete Breaks/Replaces from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 00:46:18 +0200

libgnomekbd (3.6.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix gkbd-capplet description. Closes: #691143.

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * New upstream release.
  * Rename package libgnomekbd7 -> libgnomekbd8 for new SONAME
  * Update debian/libgnomekbd8.symbols
  * Add gnome-common to build-depends to properly regenerate configure
  * Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Jul 2013 00:16:09 +0200

libgnomekbd (3.4.0.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.

  [ Martin Pitt ]
  * debian/gkbd-capplet.install: Drop *.ui files which do not exist any more.
  * debian/libgnomekbd7.symbols: Dropped obsolete plugin symbols.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 21:38:03 +0200

libgnomekbd (3.3.90-1) experimental; urgency=low

  * New upstream development release.
  * Change section of gir1.2-gkbd-3.0 to introspection.
  * Remove old Provides which are no longer necessary.
  * Remove old Conflicts/Replaces.
  * Re-wrap dependencies.
  * Bump (Build-)Depends on libxklavier-dev to (>= 5.2).
  * Drop explicit Build-Depends on the gir1.2-* packages, they are pulled via
    the corresponding -dev packages.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Mar 2012 16:53:02 +0100

libgnomekbd (3.2.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Switch to .bz2 tarball and fix regex so latest directory is
    correctly detected

  [ Michael Biebl ]
  * Upload to unstable.
  * New upstream release.
    - Link against -lm for sincos. Closes: #640445
  * debian/watch:
    - Switch to .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 08:16:06 +0200

libgnomekbd (3.0.0.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/libgnomekbd7.symbols: Adjust .symbols file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 May 2011 02:10:07 +0200

libgnomekbd (2.91.91-2) experimental; urgency=low

  * debian/libgnomekbd-common.install:
    - Install /usr/share/GConf/gsettings and /usr/share/libgnomekbd/icons
    - Add libatk1.0-dev (>= 1.32.0-2~) build-dep to be sure we have .gir file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 21 Mar 2011 13:22:31 +0100

libgnomekbd (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [ Sjoerd Simons ]
  * debian/control.in: fix libxklavier-dev dep libgnomekbd-dev

  [ Frederic Peters ]
  * debian/libgnomekbd7.symbols: update for changed symbols.

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2011 14:22:11 +0100

libgnomekbd (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + debian/libgnomekbd7.symbols: update for new and changed symbols.
    + debian/control.in: update build-depend on libxklavier.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 10:28:46 +0100

libgnomekbd (2.91.5-4) experimental; urgency=low

  * debian/control.in:
    - Rename gir1.2-gnomekbd-3.0 to gir1.2-gkbd-3.0, add C/R/P accordingly
    - Add Vcs-* fields
  * debian/copyright: Fix copyright-with-old-dh-make-debian-copyright
    to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Feb 2011 12:32:52 +0100

libgnomekbd (2.91.5-3) experimental; urgency=low

  * debian/control.in:
    - Update for the new gtk+ package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:39:35 +0000

libgnomekbd (2.91.5-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * debian/control,debian/rules:
    + add gir1.2-gnomekbd-3.0
  * debian/gir1.2-gnomekbd-3.0.install,libgnomekbd-dev.install
    + install gir and typelib
  * debian/rules:
    + call dh_girepository
    + enable introspection support

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Improve the package description.
    + Drop obsolete dpkg-dev build dependency.
    + Don't use tabs for padding.
  * debian/control.in,
    debian/rules:
    + Let CDBS call dh_girepository for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 21:55:05 +0000

libgnomekbd (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/100_gdkwindow_patch.patch:
      - Removed, fixed upstream.
    + debian/control.in:
      - Bump libgtk3.0-dev requirement.
  * debian/libgnomekbd7.symbols:
    + Add a symbols file.
  * debian/rules:
    + Fail the build if the symbols file is outdated.
    + Always depend on the latest upstream version on the shlibs file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:28:46 +0000

libgnomekbd (2.91.3.1-2) experimental; urgency=low

  + debian/patches/100_gdkwindow_patch.patch:
    + Added. Fix build with gtk 2.91.6 (from git). Based on the ubuntu
      libgnomekbd package.
  * debian/control.in: Bump build-depend on gtk to >= 2.91.6

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Dec 2010 18:21:37 +0000

libgnomekbd (2.91.3.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + Fixes build with latest gtk+3. Closes: 605896.
    + debian/patches/0001-Add-gio-to-the-required-pkg-config-modules.patch:
      - Removed, merged upstream.
    + debian/patches/01_requires_private.patch:
      - Updated.

  [ Sjoerd Simons ]
  * debian/rules: Add list-missing
  * debian/libgnomekbd-common.install: Install schemas file
  [ Sebastien Bacher ]
  * (Closes: 606361) gnome-settings-daemon crashed with signal 5 in
    gkbd_keyboard_drawing_new_dialog(). Move show-layout.ui from
    gkbd-capplet to libgnomekbd-common and add appropriate replaces
     - update debian/gkbd-capplet.install
     - update debian/libgnomekbd-common.install
     - update debian/control{.in}

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 11 Dec 2010 14:02:12 +0000

libgnomekbd (2.91.2-1) experimental; urgency=low

  * New upstream release
  * debian/patches/10_null_style_crasher.patch
    + Removed, fixed upstream
  * debian/patches/99_ltmain_as-needed.patch
    + Removed, use dh-autoreconf instead
  * Bumped soname from 4 to 7
  * debian/patches/0001-Add-gio-to-the-required-pkg-config-modules.patch
    + Added. Fix compilation with --as-needed

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 28 Nov 2010 18:56:33 +0000

libgnomekbd (2.30.2-2) unstable; urgency=low

  * 10_null_style_crasher.patch: stolen from upstream git. Fix a crasher 
    when there is a font declared but no style. Closes: #589391.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 13:00:05 +0100

libgnomekbd (2.30.2-1) unstable; urgency=low

  * New upstream translation and bugfix release.
  * Switch to 3.0 source format.
  * 02_layout_crash.patch: dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Sep 2010 20:55:51 +0200

libgnomekbd (2.30.1-2) unstable; urgency=low

  * 02_layout_crash.patch: stolen upstream. Fixes a crasher caused by an 
    unitialized value. Hopefully closes: #580228.

 -- Josselin Mouette <joss@debian.org>  Wed, 05 May 2010 19:02:02 +0200

libgnomekbd (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/02_fontsize_schema.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Apr 2010 06:22:54 +0200

libgnomekbd (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * 10_gsd_crash.patch: dropped, merged upstream.
  * 02_fontsize_schema.patch: new patch. Set a default for the font 
    size, to avoid warnings upon installation and at runtime.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:00:33 +0200

libgnomekbd (2.29.92-1) experimental; urgency=low

  * New upstream release candidate.
  * Bump shlibs version.
  * Bump libxklavier dependency.
  * Drop D-Bus dependencies.
  * 01_requires_private.patch: updated for the new version.
  * 10_gsd_crash.patch: stolen upstream. Avoid a crasher.

 -- Josselin Mouette <joss@debian.org>  Sun, 28 Mar 2010 11:02:15 +0200

libgnomekbd (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:47:46 +0100

libgnomekbd (2.28.0-2) unstable; urgency=low

  * Upload to unstable.
    - debian/rules: Remove check-dist.mk.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 20 Oct 2009 19:39:54 +0200

libgnomekbd (2.28.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add a watch file.

  [ Josselin Mouette ]
  * Depend on iso-codes. Closes: #407795.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/control.in:
      + Build depend and depend on libxklavier-dev >= 4.0, stop build
        depending on libglade2-dev.
      + Let libgnomekbd-dev depend on ${misc:Depends}.
    - debian/control.in,
      debian/libgnomekbd4.install,
      debian/libgnomekbd3.install:
      + Rename libgnomekdbd3 to libgnomekbd4 for the new SONAME.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules: Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 08 Oct 2009 12:32:02 +0200

libgnomekbd (2.26.0-1) unstable; urgency=low

  * New upstream release.
  * 02_xkbcrap_crash.patch: removed, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Jun 2009 16:53:59 +0200

libgnomekbd (2.24.0-3) unstable; urgency=low

  * 02_xkbcrap_crash.patch: new patch. Fix crashes of gkb applet and 
    gnome-screensaver (makes it unusable) when the XKB configuration is 
    botched.

 -- Josselin Mouette <joss@debian.org>  Fri, 10 Apr 2009 23:30:58 +0200

libgnomekbd (2.24.0-2) unstable; urgency=low

  * Upload to unstable.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 08:37:20 +0200

libgnomekbd (2.24.0-1) experimental; urgency=low

  * New upstream release.
  * Rename library package to libgnomekbd3.
  * Relax dependencies on libgnomekbd-common.
  * Set section of the source package to gnome.
  * Update build-dependencies and dependencies for the new versions.
  * Drop the libgnomekbdui packages, they don’t make sense now the 
    libgnome dependency has gone.
  * Standards version is 3.8.0.
  * Introduce quilt for patch management; build-depend on quilt.
  * 01_requires_private.patch: new patch. Move dependencies to 
    Requires.private.
  * libgnomekbd-dev conflicts/replaces/provides libgnomekbdui-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 17:45:55 +0100

libgnomekbd (2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/gkbd-capplet.install:
      - Remove icon path, the icon was removed and it uses a standard one now.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Mar 2008 23:28:06 +0100

libgnomekbd (2.21.4.1-2) experimental; urgency=low

  * debian/control.in:
    + Fix libgconf2-dev dependency.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:54:44 +0100

libgnomekbd (2.21.4.1-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update build dependencies and dependencies.
    + Update to new soname.
    + debian/gkbd-capplet.install:
      - Ship icon.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Mar 2008 15:38:54 +0100

libgnomekbd (2.20.0-3) unstable; urgency=low

  * debian/control.in:
    + Let the -dev package depend on libxklavier12-dev too.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:54:16 +0100

libgnomekbd (2.20.0-2) unstable; urgency=low

  * debian/control.in:
    + Rebuild against libxklavier12-dev and build depend on
      libxklavier12-dev | libxklavier-dev.
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2008 09:41:29 +0100

libgnomekbd (2.20.0-1) unstable; urgency=low

  * New upstream release, no API changes:
    + debian/control.in:
      - Build depend on intltool.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2007 12:52:54 +0200

libgnomekbd (2.18.2-1) unstable; urgency=low

  * New upstream release; bug fixes and translations; no API change.

 -- Loic Minier <lool@dooz.org>  Tue, 22 May 2007 13:39:14 +0200

libgnomekbd (2.18.1-2) unstable; urgency=low

  * Upload to unstable.
  * Pass --as-needed to ld.
  * Add get-orig-source target, require gnome-pkg-tools >= 0.10.
  * Install the gconf schema in libgnomekbd-common

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Apr 2007 07:55:41 +0200

libgnomekbd (2.18.1-1) experimental; urgency=low

  * New upstream release; no API change.

 -- Loic Minier <lool@dooz.org>  Mon, 09 Apr 2007 08:51:22 +0200

libgnomekbd (2.18.0-1) experimental; urgency=low

  * New upstream release; no api changes

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 26 Mar 2007 17:49:14 +0200

libgnomekbd (2.17.2-3) experimental; urgency=low

  * Rewrite package descriptions.
  * Set myself as Maintainer, GNOME team as Uploaders; build-depend on
    gnome-pkg-tools.
  * Make package bin NMU safe: use ${binary:Version} and ${source:Version} and
    build-depend on dpkg-dev >= 1.13.19.
  * Wrap build-deps and deps.
  * Drop etc/gconf from libgnomekbd-common.install.
  * Clean up debian/gkbd-capplet.install.
  * Update copyright information.
  * Include CDBS's utils.
  * Build-depend and depend on libxklavier11-dev instead of libxklavier-dev.
  * Initial upload to Debian; closes: #411029.

 -- Loic Minier <lool@dooz.org>  Thu, 15 Feb 2007 16:56:45 +0100

libgnomekbd (2.17.2-2) feisty; urgency=low

  * debian/control:
    - libgnomekbd-dev Depends on libgnomevfs2-dev, libgtk2.0-dev, 
      libxklavier-dev, libgnomekbdui-dev Depends on libgnomekbd-dev, 
      libgnomecanvas2-dev, libgnome-keyring-dev

 -- Sebastien Bacher <seb128@canonical.com>  Sun,  7 Jan 2007 11:42:43 +0100

libgnomekbd (2.17.2-1) feisty; urgency=low

  * First upload

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 16 Nov 2006 12:57:31 -0800

